Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ant.types
Class FileMatchingConfiguration

    java.lang.Object
      org.mortbay.jetty.ant.types.FileMatchingConfiguration

    public class FileMatchingConfiguration

extends java.lang.Object

Describes set of files matched by elements in ant configuration file. It is used to group application classes, libraries, and scannedTargets elements.

Author:
  Jakub Pawlowicz

Constructor Summary
`FileMatchingConfiguration()`

Method Summary
`void` | `addDirectoryScanner(org.apache.tools.ant.DirectoryScanner directoryScanner)`
`java.util.List` | `getBaseDirectories()`
`boolean` | `isIncluded(java.lang.String pathToFile)` Checks if passed file is scanned by any of the directory scanners.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileMatchingConfiguration

    public FileMatchingConfiguration()

Method Detail

### addDirectoryScanner

    public void addDirectoryScanner(org.apache.tools.ant.DirectoryScanner directoryScanner)

  Parameters:
    `directoryScanner` - new directory scanner retrieved from the element.

### getBaseDirectories

    public java.util.List getBaseDirectories()

  Returns:
    a list of base directories denoted by a list of directory scanners.

### isIncluded

    public boolean isIncluded(java.lang.String pathToFile)

  Checks if passed file is scanned by any of the directory scanners.

  Parameters:
    `pathToFile` - a fully qualified path to tested file.
  Returns:
    true if so, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.